import math

def load(list):
    print "Loading AI bindings"

    # binding format:
    # ( 'name of robot from .bot file', 'name of AI from script class',
    #       {'optional constructor parameter':value, 'another':value} )

    # constructor parameters:
    # nose - "front" of bot in radians (default 0)
    # invertible - can function upside-down (default False)
    # topspeed - speed in meters/second AI will attempt not to exceed (default 4.0)
    # throttle - maximum analog value AI will attempt not to exceed (default 100)
    # turnspeed - turning in radians/second AI will attempt not to exceed (default 2.5)
    # turn - maximum analog value AI will attempt not to exceed (default 60)
    # radius - bot radius to use for checking for hazards and walls (default 1.0)

    # 0 - PA Entrants "Yeah, they sure are PA Entrants!"
    list.append(("NightLight EXT","Omni",{'nose':math.pi*2,'radius':0.1,'range':500,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':3.5,'weapons':(1,)}))
    list.append(("Neon Gravitations 3","Omni",{'nose':math.pi*2,'invertible':True,'radius':0.1,'range':500,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':3.5,'weapons':(1,)}))
    list.append(("Prime Spectacle","Flipper2",{'nose':math.pi,'Invertible':True,'EnemyMoveRadius':0.5,'SrimechInterval':1,'UseSrimech':1,'radius':1,'topspeed':1250,'throttle':100,'turn':75,'turnspeed':2.5,'weapons':(19,)}))
    list.append(("Volt Switch XX","Omni",{'nose':math.pi,'invertible':True,'radius':0.1,'range':500,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':3.5,'weapons':(112,)}))
    list.append(("Turon","Omni",{'nose':math.pi/2,'radius':0.1,'range':500,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':3.5,'UseSrimech':1,'weapons':(118,119,)}))
    list.append(("Bullbot HW","TopPusher2",{'nose':math.pi*1,'tactic':"Ram",'invertible':True,'BackUpTime':1.5,'radius':1,'topspeed':1000,'throttle':1300,'turn':60,'turnspeed':2.5,'weapons':(0,)}))
    
    # 1 - More PA Entrants "Yup! Still PA Entrants!"
    list.append(("E1","Omni",{'nose':math.pi,'invertible':True,'range':50,'radius':1,'topspeed':150,'throttle':150,'turn':80,'turnspeed':2.3,'weapons':(0,)}))
    list.append(("E2","Omni",{'nose':math.pi,'invertible':True,'range':50,'radius':1,'topspeed':150,'throttle':150,'turn':80,'turnspeed':2.3,'weapons':(0,)}))
    list.append(("Erebus","Omni",{'radius':0.1,'topspeed':100,'throttle':100,'turn':60,'turnspeed':3,'weapons':(0,)}))
    list.append(("Offset salamander","Omni",{'nose':math.pi*2,'invertible':True,'range':500,'radius':1,'topspeed':100,'throttle':150,'turn':70,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("Maximum","TopPusher2",{'nose':math.pi,'invertible':False,'tactic':"Ram",'ThresholdSpeed':0.02,'BackUpTime':4,'radius':1,'topspeed':1000,'throttle':1000,'turn':60,'turnspeed':3,'weapons':(0,)}))
    list.append(("12:01","Spinner",{'invertible':True,'nose':math.pi,'radius':0.2,'range':100,'topspeed':200,'throttle':200,'turn':60,'turnspeed':2.5,'weapons':(1,2,)}))

    # 2 - Even More PA Entrants "Woah!! Even more?!?!?! I can't believe it!!"
    list.append(("Neko","Omni",{'nose':math.pi,'invertible':False,'range':50,'radius':1,'topspeed':130,'throttle':130,'turn':90,'turnspeed':2.3,'weapons':(0,)}))
    list.append(("dual existence","Omni",{'nose':math.pi*1,'radius':0.3,'range':100,'topspeed':200,'throttle':200,'turn':50,'turnspeed':3.5,'weapons':(10,11,12,13,14,15,16,17,)}))
    list.append(("Pitstop S","Omni",{'nose':math.pi*1,'radius':0.3,'topspeed':200,'throttle':200,'turn':55,'turnspeed':3.5,'weapons':(43,44,57,58,65,66,)}))
    list.append(("Bruiser Cruiser","Omni",{'nose':math.pi*1,'range':50,'radius':1,'topspeed':1000,'throttle':1000,'turn':100,'turnspeed':2.5,'weapons':(17,19,)}))
    list.append(("Bruiser Cruiser (Anti-HS)","Omni",{'nose':math.pi*1,'range':50,'radius':1,'topspeed':1000,'throttle':1000,'turn':100,'turnspeed':2.5,'weapons':(15,17,)}))
    list.append(("Rest In Pieces","Omni",{'nose':math.pi*1,'invertible':True,'range':50,'radius':1,'topspeed':1000,'throttle':150,'turn':90,'turnspeed':3.5,'weapons':(19,20,21,)}))

    # 3 - Even Even More PA Entrants "OMG!!! MORE PA ENTRANTS?!?!?!?!"
    list.append(("Heartbreaker (anti hs)","Omni",{'invertible':False,'range':99,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.4,'weapons':(3,4,5,)}))
    list.append(("Heartbreaker","Omni",{'invertible':False,'range':99,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.4,'weapons':(3,4,5,)}))
    list.append(("Lethal Injection","Omni",{'radius':1,'range':500,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':3.5,'UseSrimech':1,'SrimechInterval':1,'weapons':(11,)}))
    list.append(("Galaxar","Omni",{'nose':math.pi*1.5,'radius':1,'range':500,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':3.5,'weapons':(26,)}))
    list.append(("Fatality","Omni",{'invertible':True,'range':50,'radius':1,'topspeed':1000,'throttle':150,'turn':60,'turnspeed':3.5,'weapons':(65,69,)}))
    list.append(("Windmill","Omni",{'nose':math.pi,'invertible':True,'range':50,'radius':1,'topspeed':1000,'throttle':1000,'turn':60,'turnspeed':2.5,'weapons':(92,93,)}))

    # 4 - Even Even Even More PA Entrants "WOAH!!!! MORE PA ENTRANTS!!! WOOOOOOO"
    list.append(("Bomb Pop","Omni",{'invertible':True,'range':50,'radius':1,'topspeed':1500,'throttle':1750,'turn':90,'turnspeed':3.5,'weapons':(30,41,42,48,)}))
    list.append(("Self Destruct Button","Omni",{'invertible':False,'range':50,'radius':1,'topspeed':99999,'throttle':1000,'turn':25,'turnspeed':2,'UseSrimech':1,'tactic':"Ram",'ThresholdSpeed':9999,'SightRange':3,'BackUpTime':999,'AimError':999,'weapons':(0,)}))
    list.append(("Techno Force","Omni",{'invertible':True,'range':99,'radius':1,'topspeed':200,'throttle':100,'turn':100,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("Hu Tao","Flipper2",{'cooldown':10,'EnemyMoveRadius':1.2,'UseSrimech':1,'SrimechInterval':2.2,'radius':0.2,'topspeed':150,'throttle':150,'turn':75,'turnspeed':3.1,'weapons':(0,)}))
    list.append(("Birthday Cake Kisses","Omni",{'nose':math.pi,'invertible':False,'range':50,'radius':1,'topspeed':1000,'throttle':1000,'turn':45,'turnspeed':1.4,'weapons':(22,23,44,46,)}))
    list.append(("THEWITCH","Omni",{'nose':math.pi,'invertible':True,'radius':1,'range':500,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':2,'weapons':(4,5,)}))

    # 5 - Even Even Even Even More PA Entrants "THERE'S MORE ?!?!?!??! :OOO"
    list.append(("Hitstick","Omni",{'invertible':True,'range':50,'radius':1,'topspeed':500,'throttle':500,'turn':55,'turnspeed':2,'weapons':(39,)}))
    list.append(("Superstar Slugger","Omni",{'nose':math.pi/2,'invertible':True,'range':50,'radius':1,'topspeed':1500,'throttle':1000,'turn':70,'turnspeed':3,'weapons':(5,40,)}))
    list.append(("Elegy 2","Omni",{'invertible':True,'radius':1,'range':300,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':2.75,'weapons':(32,)}))
    list.append(("Cicada II","Omni",{'range':500,'radius':1,'topspeed':100,'throttle':100,'turn':60,'turnspeed':4,'weapons':(96,147)}))
    list.append(("BlackOUT","Flipper2",{'Invertible':True,'EnemyMoveRadius':0.5,'SrimechInterval':1,'UseSrimech':1,'radius':1,'topspeed':1250,'throttle':500,'turn':75,'turnspeed':3,'weapons':(0,)}))
    list.append(("Maximum Horsepower","Omni",{'nose':math.pi,'invertible':False,'range':50,'radius':1,'topspeed':130,'throttle':100,'turn':70,'turnspeed':3.2,'UseSrimech':0,'SrimechInterval':0.5,'weapons':(10,11,12,13,14,15,16,17,)}))

    # 6 - Even Even Even Even Even More PA Entrants "I CAN'T BELIEVE IT!!!!!!!! THERE'S EVEN MOREEEE?!??!"
    list.append(("Pyrrhic","Omni",{'invertible':True,'range':100,'radius':1,'topspeed':500,'throttle':500,'turn':60,'turnspeed':2.75,'weapons':(111,112,)}))
    list.append(("Superior Spinner","Omni",{'invertible':True,'range':50,'radius':1,'topspeed':1000,'throttle':1000,'turn':60,'turnspeed':1.75,'weapons':(6,)}))
    list.append(("Citrine Mk10","Judge",{'nose':math.pi*2,'MotorID':96,'StartAngle':-math.pi*0.6,'reload':10,'radius':0.1,'topspeed':1500,'throttle':1500,'turn':60,'turnspeed':3.5,'tactic':"Ram",'ThresholdSpeed':0.02,'BackUpTime':4,'weapons':(32,)}))
    list.append(("Fallen angel","Omni",{'invertible':True,'range':50,'radius':1,'topspeed':1000,'throttle':150,'turn':70,'turnspeed':3,'weapons':(17,20,)}))
    list.append(("Hyper violent AI","Omni",{'nose':math.pi,'invertible':True,'range':500,'radius':1,'topspeed':100,'throttle':140,'turn':70,'turnspeed':2.0,'weapons':(0,)}))
    list.append(("Imperialist","Judge",{'nose':math.pi*2,'radius':0.3,'MotorID':37,'StartAngle':math.pi*0.5,'topspeed':200,'throttle':200,'turn':20,'turnspeed':3.5,'weapons':(0,)}))

    # 7 - Even Even Even Even Even Even More PA Entrants "WHAAA??????? THERE'S EVEN MORE ?!?!?!? BROO WHATTTT"
    list.append(("Alpenglow 2 neptsys boogaloo","Judge",{'MotorID':8,'nose':math.pi*2,'invertible':True,'StartAngle':math.pi/2,'reload':5,'range':99,'SightRange':200,'radius':1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("White death","TopPusher2",{'nose':math.pi*1,'invertible':False,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'tactic':"Ram",'ThresholdSpeed':3,'SightRange':5,'BackUpTime':9999,'AimError':0,'weapons':(0,)}))
    list.append(("Imperialist","Judge",{'nose':math.pi*2,'radius':0.3,'MotorID':37,'StartAngle':math.pi*0.5,'topspeed':200,'throttle':200,'turn':20,'turnspeed':3.5,'weapons':(0,)}))
    list.append(("DetermiN80","Omni",{'nose':math.pi,'invertible':True,'range':50,'radius':1,'topspeed':1000,'throttle':900,'turn':60,'turnspeed':2.5,'weapons':(9,10,11,)}))
    list.append(("Hagane no Tsuihou Shinka Kai","Flipper2",{'nose':math.pi,'Invertible':True,'EnemyMoveRadius':0.5,'SrimechInterval':1,'UseSrimech':1,'radius':1,'topspeed':1250,'throttle':500,'turn':60,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("Deep Six ","Omni",{'nose':math.pi,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':90,'turn':60,'turnspeed':1.5,'weapons':(45,46,)}))

    # 8 - The End of the PA Entrants "NOOOOOOOOOOO THE END D:"
    list.append(("The Gregoteer's WeedWhacker!!","Omni",{'nose':math.pi,'invertible':True,'range':99,'radius':1,'topspeed':1200,'throttle':1200,'turn':60,'turnspeed':3,'weapons':(2,3,4,5,)}))
    list.append(("Roulette xp","Omni",{'nose':math.pi,'invertible':True,'range':50,'radius':1,'topspeed':1500,'throttle':1750,'turn':60,'turnspeed':3.5,'weapons':(24,25,)}))
    list.append(("1234","Omni",{'nose':math.pi*1,'radius':0.1,'range':500,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(29,30,31,32,33)}))
    list.append(("Flammenbunker 2","Omni",{'nose':math.pi/2,'invertible':False,'range':50,'radius':1,'topspeed':1000,'throttle':1000,'turn':45,'turnspeed':4,'weapons':(0,)}))

    # 9 - PA2 Entrants "The second coming."
    list.append(("Citrine Mk10 ","Judge",{'nose':math.pi*2,'MotorID':96,'StartAngle':-math.pi*0.6,'reload':10,'radius':0.1,'topspeed':1500,'throttle':1500,'turn':60,'turnspeed':3.5,'tactic':"Ram",'ThresholdSpeed':0.02,'BackUpTime':2,'weapons':(32,)}))
    list.append(("Arctic Assault","Omni",{'nose':math.pi*2,'invertible':False,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("NightLight EXT","Omni",{'nose':math.pi*2,'radius':0.1,'range':500,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':3.5,'weapons':(1,)}))
    list.append(("Omaru-San:3","Omni",{'nose':math.pi*2,'invertible':False,'radius':0.1,'range':500,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':3.5,'weapons':(1,)}))
    list.append(("Elegy 2","Omni",{'invertible':True,'radius':1,'range':300,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':2.75,'weapons':(114,)}))
    list.append(("Windmill","Omni",{'nose':math.pi,'invertible':True,'range':50,'radius':1,'topspeed':1000,'throttle':1000,'turn':60,'turnspeed':2.5,'weapons':(0,)}))

    # 10 - More PA2 Entrants "Here we go again!!!"
    list.append(("Bot Lesnar II","Omni",{'invertible':True,'range':50,'radius':1,'topspeed':1000,'throttle':150,'turn':60,'turnspeed':2,'weapons':(22,23,)}))
    list.append(("Juggergnawt","Omni",{'nose':math.pi*2,'invertible':True,'radius':0.1,'range':500,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':3.5,'weapons':(46,47,)}))
    list.append(("Nogoodnik II","Omni",{'invertible':False,'range':50,'radius':1,'topspeed':99999,'throttle':1000,'turn':25,'turnspeed':2,'UseSrimech':1,'tactic':"Ram",'ThresholdSpeed':9999,'SightRange':3,'BackUpTime':999,'AimError':999,'weapons':(0,)}))
    list.append(("Hitstick","Omni",{'invertible':True,'range':50,'radius':1,'topspeed':500,'throttle':500,'turn':55,'turnspeed':2,'weapons':(38,39,)}))
    list.append(("Cog and bot torturer ","Omni",{'nose':math.pi,'invertible':False,'range':50,'radius':1,'topspeed':1000,'throttle':150,'turn':60,'turnspeed':2,'UseSrimech':1,'weapons':(4,5,6,)}))
    list.append(("Viscous solution  ","Omni",{'nose':math.pi,'invertible':True,'radius':0.1,'range':500,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':3.5,'weapons':(0,)}))

    # 11 - Even More PA2 Entrants "WHOA! MORE PA2 ENTRANTS!"
    list.append(("Limnic","Omni",{'invertible':False,'radius':0.1,'topspeed':1000,'throttle':1000,'turn':60,'turnspeed':3,'weapons':(0,)}))
    list.append(("LMP2","Omni",{'invertible':False,'radius':0.1,'topspeed':1000,'throttle':1000,'turn':60,'turnspeed':3,'weapons':(0,)}))
    list.append(("Reptile ","Omni",{'invertible':True,'radius':0.1,'range':500,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':3.5,'weapons':(0,)}))
    list.append(("Founding Titan","Omni",{'invertible':True,'radius':0.1,'range':500,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':3.5,'weapons':(14,15,)}))
    list.append(("Dataminer","Judge",{'radius':1,'MotorID':5,'StartAngle':math.pi/2,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(0,)}))
    list.append(("Mist Continent Representative","Flipper2",{'radius':0.1,'topspeed':100,'throttle':100,'turn':60,'turnspeed':3,'weapons':(0,)}))

    # 12 - Even Even More PA2 Entrants "Yeahhhhhhhhh more PA2 entrants baby wooo"
    list.append(("1234","Omni",{'nose':math.pi*1,'radius':0.1,'range':500,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(29,30,31,32,33)}))
    list.append(("Ixnay","Omni",{'invertible':True,'nose':math.pi*1,'radius':0.1,'range':500,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(29,30,31,32,33)}))
    list.append(("Punished Bullbot","Omni",{'nose':math.pi*1,'range':100,'radius':0.2,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2,'weapons':(22,23,24,25)}))
    list.append(("E1","Omni",{'nose':math.pi,'invertible':True,'range':50,'radius':1,'topspeed':150,'throttle':150,'turn':80,'turnspeed':2.3,'weapons':(0,)}))
    list.append(("Neko","Omni",{'nose':math.pi,'invertible':False,'range':50,'radius':1,'topspeed':130,'throttle':130,'turn':90,'turnspeed':2.3,'weapons':(0,)}))
    list.append(("Battle Ravage Ai","Omni",{'nose':math.pi,'invertible':True,'radius':1,'range':500,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':3.5,'weapons':(151,152,)}))

    # 13 - Even Even Even More PA2 Entrants "So cool and awesome B)) )) )"
    list.append(("Neon Raptor  3","Omni",{'nose':math.pi,'invertible':True,'radius':1,'range':500,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':3.5,'weapons':(11,12,33,34,)}))
    list.append(("Escape  Velocity","Flipper2",{'nose':math.pi,'invertible':False,'UseSrimech':1,'radius':1,'range':500,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':3.5,'weapons':(0,)}))
    list.append(("Slem 2","Omni",{'nose':math.pi*1,'range':99,'radius':0.3,'topspeed':200,'throttle':200,'turn':30,'turnspeed':3.5,'weapons':(93,)}))
    list.append(("Slam 2","Omni",{'nose':math.pi*1,'range':99,'radius':0.3,'topspeed':200,'throttle':200,'turn':30,'turnspeed':3.5,'weapons':(42,)}))
    list.append(("Deeper Blood","Judge",{'nose':math.pi*1,'MotorID':93,'StartAngle':math.pi*0.5,'radius':0.3,'topspeed':200,'throttle':200,'turn':35,'turnspeed':3,'weapons':(143,144,145,146)}))
    list.append(("4-bar connection","Omni",{'nose':math.pi*1,'radius':0.3,'topspeed':200,'throttle':200,'turn':30,'turnspeed':3.5,'weapons':(91,92,95,96)}))

    # 14 - Even Even Even Even More PA2 Entrants "So Fresh, So Clean"
    list.append(("dual existence","Omni",{'nose':math.pi*1,'radius':0.3,'range':100,'topspeed':200,'throttle':200,'turn':50,'turnspeed':3.5,'weapons':(10,11,12,13,14,15,16,17,)}))
    list.append(("Pitstop S","Omni",{'nose':math.pi*1,'radius':0.3,'topspeed':200,'throttle':200,'turn':55,'turnspeed':3.5,'weapons':(43,44,57,58,65,66,)}))
    list.append(("Neon Gravitations 1.5","Omni",{'nose':math.pi,'invertible':False,'range':50,'radius':1,'topspeed':1000,'throttle':1030,'turn':60,'turnspeed':3.5,'weapons':(1,)}))
    list.append(("Plunderer's Plight","Omni",{'invertible':True,'range':50,'radius':1,'topspeed':200,'throttle':150,'turn':150,'turnspeed':2,'weapons':(0,)}))
    list.append(("Death Bot","Omni",{'invertible':False,'range':100,'radius':1,'topspeed':200,'throttle':300,'turn':100,'turnspeed':2,'weapons':(0,)}))
    list.append(("White Horse","Flipper2",{'invertible':False,'range':50,'radius':1,'topspeed':800,'throttle':200,'turn':75,'turnspeed':2,'SrimechInterval':2,'weapons':(0,)}))

    # 15 - Even Even Even Even Even More PA2 Entrants "It's starting to get funky!"
    list.append(("Self Destruct Button ","Omni",{'invertible':False,'range':50,'radius':1,'topspeed':99999,'throttle':99999,'turn':50,'turnspeed':2,'UseSrimech':1,'tactic':"Engage",'ThresholdSpeed':9999,'SightRange':3,'AimError':999,'weapons':(0,)}))
    list.append(("Miscreant","Omni",{'tactic':"Engage",'invertible':True,'radius':0.1,'range':500,'topspeed':80,'throttle':100,'turn':60,'turnspeed':3,'weapons':(89,90,91,92)}))
    list.append(("Ophelia II","Omni",{'radius':0.1,'topspeed':100,'throttle':100,'turn':60,'turnspeed':3,'weapons':(8,9)}))
    list.append(("Avalon S","Omni",{'nose':math.pi,'radius':0.1,'topspeed':100,'throttle':100,'turn':50,'turnspeed':3,'weapons':(69,70)}))
    list.append(("White death","TopPusher2",{'nose':math.pi*1,'invertible':False,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2,'tactic':"Ram",'ThresholdSpeed':3,'SightRange':5,'BackUpTime':9,'AimError':0,'weapons':(15,16,19,20,21,22,43,44,46,47,48,50,51,52,53,54,123,124)}))
    list.append(("Roulette xb","Omni",{'nose':math.pi,'invertible':True,'range':50,'radius':1,'topspeed':1500,'throttle':1750,'turn':60,'turnspeed':3.5,'weapons':(24,30,)}))

    # 16 - Even Even Even Even Even Even More PA2 Entrants "Is it getting creamy in here or is that just me?"
    list.append(("Hyper violent","Omni",{'nose':math.pi,'invertible':True,'range':500,'radius':1,'topspeed':100,'throttle':140,'turn':70,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("Ocean sun wave","Omni",{'nose':math.pi,'invertible':False,'range':500,'radius':1,'topspeed':100,'throttle':100,'turn':70,'turnspeed':2,'weapons':(0,)}))
    list.append(("Gayle","Omni",{'nose':math.pi,'invertible':False,'range':500,'radius':1,'topspeed':100,'throttle':100,'turn':70,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("Special sword","Omni",{'nose':math.pi,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':70,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("HNT Shinka Kai-2","Flipper2",{'nose':math.pi,'Invertible':True,'EnemyMoveRadius':0.5,'SrimechInterval':1,'UseSrimech':1,'radius':1,'topspeed':1250,'throttle':500,'turn':60,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("B81 Evo II","Omni",{'nose':math.pi,'invertible':True,'range':50,'radius':1,'topspeed':1000,'throttle':900,'turn':60,'turnspeed':2.5,'weapons':(0,)}))

    # 17 - Even Even Even Even Even Even Even More PA2 Entrants "That's a lot of evens."
    list.append(("Volt Switch XX","Omni",{'nose':math.pi,'invertible':True,'radius':0.1,'range':500,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':3.5,'weapons':(0,)}))
    list.append(("Neon Dragon","Omni",{'nose':math.pi*0.5,'invertible':False,'radius':0.1,'range':500,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':3.5,'weapons':(0,)}))
    list.append(("Neon Viper","Omni",{'nose':math.pi*1.5,'invertible':False,'UseSrimech':1,'radius':0.1,'range':500,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':3.5,'weapons':(0,)}))
    list.append(("Outlaw","Omni",{'nose':math.pi*1.5,'invertible':False,'radius':0.1,'range':500,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':3.5,'weapons':(0,)}))
    list.append(("Oblitorator","Omni",{'nose':math.pi,'invertible':True,'radius':0.1,'range':500,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':3.5,'weapons':(0,)}))
    list.append(("Why Playstation Exists","Omni",{'invertible':False,'radius':0.1,'range':500,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':3.5,'weapons':(0,)}))
    
    # 18 - Random Fun Robots "They may not be IRL legal in the slightest, but they're here to have a good time!"
    list.append(("Alchemia","Omni",{'nose':math.pi*2,'radius':1,'topspeed':2500,'throttle':2500,'turn':60,'turnspeed':3.5,'weapons':(1,)}))
    list.append(("Rippersnapper","Omni",{'nose':math.pi,'invertible':True,'radius':0.1,'range':500,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("Windmill ","SpinupOmni2",{'nose':math.pi,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':70,'turn':60,'turnspeed':2.5,'DisplayRPM':0,'TargetRPM':200,'MotorID':38,'ticks':2,'JamTime':1,'weapons':(63,64,)}))
    list.append(("Glacier","Omni",{'nose':math.pi*0.5,'invertible':True,'radius':0.1,'range':500,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("The Count","Omni",{'nose':math.pi*0.5,'invertible':True,'radius':0.1,'range':500,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("Dead Weight","Omni",{'invertible':True,'radius':0.1,'range':500,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':2.5,'weapons':(0,)}))
    
    #19 - Even Even Even Even Even Even Even More PA2 Entrants "Even more?!?!?!"
    list.append(("Mecha Breaking Point","Omni",{'invertible':False,'radius':0.1,'range':500,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':3.5,'weapons':(0,)}))
    list.append(("Bruiser Cruiser","Omni",{'nose':math.pi*1,'range':50,'radius':1,'topspeed':1000,'throttle':1000,'turn':100,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("Bruiser Cruiser","Omni",{'nose':math.pi*1,'range':50,'radius':1,'topspeed':1000,'throttle':1000,'turn':100,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("Rest In Pieces ","Omni",{'nose':math.pi*1,'invertible':True,'range':50,'radius':1,'topspeed':1000,'throttle':150,'turn':90,'turnspeed':3.5,'weapons':(0,)}))
    list.append(("Sea Level","Omni",{'nose':math.pi*1,'invertible':True,'radius':0.1,'range':500,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':3.5,'weapons':(0,)}))
    list.append(("Sea Level","Omni",{'nose':math.pi*1,'invertible':True,'radius':0.1,'range':500,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':3.5,'weapons':(0,)}))
    
    #20 - Even Even Even Even Even Even Even Even More PA2 Entrants "Even even more?!?!?!"
    list.append(("Shades","Omni",{'invertible':True,'radius':0.1,'range':500,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':3.5,'weapons':(0,)}))
    list.append(("Riviera 2","Omni",{'nose':math.pi,'invertible':False,'radius':0.1,'range':500,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':3.5,'weapons':(0,)}))
    list.append(("Valentine","Omni",{'nose':math.pi,'invertible':True,'radius':0.1,'range':500,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':3.5,'weapons':(0,)}))
    list.append(("Galaxar","Omni",{'nose':math.pi,'invertible':False,'range':50,'radius':1,'topspeed':1000,'throttle':1030,'turn':60,'turnspeed':3.5,'weapons':(0,)}))
    list.append(("YellowFang","Omni",{'nose':math.pi,'invertible':False,'range':50,'radius':1,'topspeed':1000,'throttle':1030,'turn':60,'turnspeed':3.5,'weapons':(0,)}))
    list.append(("Greenfang","Omni",{'nose':math.pi,'invertible':True,'range':50,'radius':1,'topspeed':1000,'throttle':1030,'turn':60,'turnspeed':3.5,'weapons':(0,)}))
    
    #21 - Even Even Even Even Even Even Even Even Even More PA2 Entrants "Even even even more?!?!?!?!"
    list.append(("Corruption EVO","Omni",{'nose':math.pi,'invertible':True,'range':50,'radius':1,'topspeed':1000,'throttle':1030,'turn':60,'turnspeed':3.5,'weapons':(0,)}))
    list.append(("Machina Non Grata: Sigma","Omni",{'nose':math.pi,'invertible':False,'range':50,'radius':1,'topspeed':1000,'throttle':1030,'turn':60,'turnspeed':3.5,'weapons':(0,)}))
    list.append(("Outgunned","LaserGuidedTH",{'nose':math.pi*1.5,'radius':1,'servorange':4,'servonose':1,'delta':0.75,'servospeed':100,'topspeed':100,'mayFire':True,'throttle':100,'turn':60,'turnspeed':3.5,'weapons':(0,)}))
    list.append(("Crime Scene","Omni",{'nose':math.pi*1,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':70,'turnspeed':3.5,'weapons':(0,)}))
    list.append(("Track Attack","Omni",{'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':40,'turnspeed':3.5,'weapons':(0,)}))
    list.append(("IIIIIIIInteresting","Omni",{'invertible':True,'range':50,'radius':1,'topspeed':1000,'throttle':1000,'turn':60,'turnspeed':3.5,'weapons':(0,)}))
    
    #22 - The End of the PA2 Entrants "Finally, the end! :D"
    list.append(("Matrix","Omni",{'invertible':True,'range':50,'radius':1,'topspeed':1000,'throttle':1000,'turn':60,'turnspeed':3.5,'weapons':(0,)}))
    list.append(("Bluebuck","Omni",{'invertible':False,'nose':math.pi,'range':99,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'weapons':(12,)}))
    list.append(("Cygnus 4.1","Omni",{'invertible':False,'nose':math.pi,'range':99,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':3, 'weapons':(12,)}))
    list.append(("Wheel of Misfortune 3.5","Omni",{'invertible':True,'range':50,'radius':1,'topspeed':1000,'throttle':150,'turn':60,'turnspeed':3.5,'weapons':(0,)}))
    list.append(("Fire Hazard 2","Omni",{'invertible':True,'range':50,'radius':1,'topspeed':1000,'throttle':1000,'turn':60,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("Mr. Green","Omni",{'invertible':True,'range':50,'radius':1,'topspeed':1000,'throttle':1000,'turn':60,'turnspeed':3.5,'weapons':(0,)}))
    
    #23 - if you're reading this and your name isn't Pocket Jake, you're pretty cool because you downloaded this AI pack!!!!! <3
    list.append(("cronical depression","Omni",{'invertible':False,'range':50,'radius':1,'topspeed':1500,'throttle':1500,'turn':60,'turnspeed':3.5,'weapons':(1,)}))
    list.append(("The Casterator","Omni",{'invertible':True,'range':100,'radius':1,'topspeed':3.0,'throttle':30,'turn':60,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("The Liberator","Omni",{'invertible':False,'range':100,'radius':1,'topspeed':4.0,'throttle':100,'turn':60,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("Pixelated Redux","SpinupOmni2",{'invertible':True,'range':50,'radius':1,'topspeed':3.0,'throttle':50,'turn':60,'turnspeed':2.5,'DisplayRPM':0,'TargetRPM':250,'MotorID':10,'ticks':2,'JamTime':1,'weapons':(0,)}))
    list.append(("Remote Explosive","SpinupOmni2",{'invertible':True,'range':50,'radius':1,'topspeed':3.0,'throttle':50,'turn':60,'turnspeed':2.5,'DisplayRPM':0,'TargetRPM':100,'MotorID':2,'ticks':2,'JamTime':1,'weapons':(0,)}))
    list.append(("https://www.youtube.com/watch?v=BmPW4hwNurQ","Omni",{'invertible':True,'range':100,'radius':1,'topspeed':4.0,'throttle':100,'turn':60,'turnspeed':2.5,'weapons':(0,)}))